Copyright: Created with EasyHelp (Tel: 0973 209667)


Logic/System Monitor - RG354264

Description

This block monitors the SSD LINK system for exceptional conditions.  It provides both non-inverted and inverted logic outputs.

The function block may be configured to indicate when one or more of the following exceptional conditions occur in the system:  (i) a module is halted, (ii) a module has a missing or bad configuration, (iii) a module crashes, (iv) a module has an OS error, (v) a module fails self-test, (vi) a module detects a network warning, or (vii) a network detects a network failure.

The Output is normally false; it becomes true when the configured conditions occur in the system.  The Output becomes false again when the condition clears.

Parameters

Get Output	Returns the current state of the function block:  either true or false.


Description

This block monitors the SSD LINK system for exceptional conditions.  It provides both non-inverted and inverted logic outputs.

The function block may be configured to indicate when one or more of the following exceptional conditions occur in the system:  (i) a module is halted, (ii) a module has a missing or bad configuration, (iii) a module crashes, (iv) a module has an OS error, (v) a module fails self-test, (vi) a module detects a network warning, or (vii) a network detects a network failure.

The Output is normally false; it becomes true when the configured conditions occur in the system.  The Output becomes false again when the condition clears.


Parameters

Get Output	Returns the current state of the function block:  either true or false.